.mp-arrow-container {
    position: absolute;

    .mp-arrow {
        position: absolute;
        width: 0;
        height: 0;
    }

    &.left {
        width: 15px;
        height: 100%;
        right: -15px;

        .mp-arrow {
            right: 7px;
            bottom: calc(50% - 10px);
            border-bottom: 20px solid var(--background-color);
            border-left: 20px solid transparent;
            box-shadow: 0.15rem 0.15rem 0.1rem 0 rgba(0, 0, 0, 0.2);
            transform: rotate(-45deg);
        }
    }

    &.right {
        width: 15px;
        height: 100%;
        left: -15px;

        .mp-arrow {
            left: 7px;
            top: calc(50% - 10px);
            border-top: 20px solid transparent;
            border-right: 20px solid var(--background-color);
            box-shadow: 0.15rem 0.15rem 0.1rem 0 rgba(0, 0, 0, 0.2);
            transform: rotate(135deg);
        }
    }

    &.top {
        width: 100%;
        height: 15px;
        bottom: -15px;

        .mp-arrow {
            top: -12px;
            left: calc(50% - 10px);
            border-right: 20px solid transparent;
            border-bottom: 20px solid var(--background-color);
            transform: rotate(-45deg);
            box-shadow: -0.1rem 0.15rem 0.1rem 0 rgba(0, 0, 0, 0.2);
        }
    }

    &.bottom {
        width: 100%;
        height: 15px;
        top: -15px;

        .mp-arrow {
            top: 7px;
            left: calc(50% - 10px);
            border-left: 20px solid var(--panel-header-bg);
            border-top: 20px solid transparent;
            transform: rotate(135deg);
            box-shadow: -0.1rem 0.15rem 0.1rem 0 rgba(0, 0, 0, 0.2);
        }
    }
}

.mapboxgl-marker {
    .mp-arrow-container {

    }

    .mp-container {
        background-color: var(--background-color);
        border-radius: var(--marker-popup-border-radius);
        border: 2px solid var(--background-color);
        box-shadow: 0 0 10px 6px rgba(0, 0, 0, .2);
        overflow: hidden;

        .mp-header {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
            box-sizing: border-box;
            //border-bottom: 1px solid var(--border);

            background: var(--panel-header-bg);

            h3 {
                color: var(--text-color-light);
                font-size: 0.9rem;
                font-weight: 500;
                padding: 0.75rem;

                small {
                    display: block;
                    opacity: .8;
                    color: var(--text-color);
                }
            }
        }

        .mp-header-actions {
            justify-items: flex-end;

            button {
                width: 2rem;
                height: 2rem;
                border-radius: 50%;
                text-align: center;
                transition: all .3s;
                color: var(--text-color);
                margin: 0.5rem;
                padding: 0.25rem;

                &:hover {
                    background-color: rgba(var(--contrast-color-rgb), 0.1);
                }
            }
        }

        .mp-body {
            background-color: var(--background-color);
        }

        .mp-footer {
            width: 100%;
            min-height: var(--marker-popup-border-radius);

            .mp-footer-actions {
                display: flex;
                background-color: var(--panel-footer-bg);

                button {
                    flex: 1;
                    padding: 0.5rem;
                    margin: 0.25rem;
                    text-align: center;
                    color: var(--text-color);
                    cursor: pointer;
                }
            }
        }
    }
}
